import { Button } from '@/components/ui/button';
import { Card } from '@/components/ui/card';
import { Zap } from 'lucide-react';

export default function CtaSection() {
  return (
    <div className="bg-secondary py-16">
      <div className="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
        <Card className="bg-background rounded-lg overflow-hidden shadow-xl border-none">
          <div className="px-6 py-12 md:p-12 md:flex md:items-center md:justify-between">
            <div className="md:w-0 md:flex-1">
              <h2 className="text-3xl font-bold mb-4">Start Trading Today</h2>
              <p className="text-gray-300 mb-6 md:mb-0">
                Ready to outpace the market? Join thousands already trading smarter, faster, and safer on Binance Chain — right from Telegram.
              </p>
            </div>
            <div className="flex">
              <a 
                href="https://t.me/SuperQuikieBot" 
                target="_blank" 
                rel="noopener noreferrer"
              >
                <Button size="lg" className="font-medium flex items-center gap-2">
                  <span>Start Trading Now</span>
                  <Zap className="h-4 w-4" />
                </Button>
              </a>
            </div>
          </div>
        </Card>
      </div>
    </div>
  );
}
