import { FaBitcoin, FaEthereum } from 'react-icons/fa';
import { SiBinance, SiCoinbase, SiTether, SiPolkadot } from 'react-icons/si';

export interface CryptoCurrency {
  id: string;
  name: string;
  symbol: string;
  price: number;
  change24h: number;
  volume24h: number;
  marketCap: number;
}

export interface SignalType {
  pair: string;
  signal: 'BUY' | 'SELL' | 'HOLD';
  confidence: number;
}

export const cryptoCurrencies: CryptoCurrency[] = [
  {
    id: 'bitcoin',
    name: 'Bitcoin',
    symbol: 'BTC',
    price: 36245.18,
    change24h: 3.42,
    volume24h: 28500000000,
    marketCap: 707800000000
  },
  {
    id: 'ethereum',
    name: 'Ethereum',
    symbol: 'ETH',
    price: 1985.65,
    change24h: 2.18,
    volume24h: 15400000000,
    marketCap: 238500000000
  },
  {
    id: 'binancecoin',
    name: 'Binance Coin',
    symbol: 'BNB',
    price: 245.32,
    change24h: 1.25,
    volume24h: 1380000000,
    marketCap: 40200000000
  },
  {
    id: 'cardano',
    name: 'Cardano',
    symbol: 'ADA',
    price: 0.384,
    change24h: -2.45,
    volume24h: 580000000,
    marketCap: 13400000000
  },
  {
    id: 'solana',
    name: 'Solana',
    symbol: 'SOL',
    price: 42.87,
    change24h: 4.62,
    volume24h: 1250000000,
    marketCap: 18200000000
  }
];

export const tradingSignals: SignalType[] = [
  { pair: 'BTC/USDT', signal: 'BUY', confidence: 87 },
  { pair: 'ETH/USDT', signal: 'BUY', confidence: 82 },
  { pair: 'SOL/USDT', signal: 'HOLD', confidence: 65 },
  { pair: 'ADA/USDT', signal: 'SELL', confidence: 78 }
];

export const affiliatePerformance = {
  conversionRate: 78,
  averageCommission: 423,
  totalReferrals: 142,
  totalEarnings: 60066
};

export const partners = [
  {
    name: 'Bitcoin',
    icon: FaBitcoin
  },
  {
    name: 'Ethereum',
    icon: FaEthereum
  },
  {
    name: 'Binance',
    icon: SiBinance
  },
  {
    name: 'Coinbase',
    icon: SiCoinbase
  },
  {
    name: 'Tether',
    icon: SiTether
  },
  {
    name: 'Polkadot',
    icon: SiPolkadot
  }
];
